<?php

// création de la colonne h_inscription dans _freq
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freq ADD h_inscription VARCHAR ( 15 ) DEFAULT NULL");

//création d'un paramétrage pour les regroupements personnalisés (stats) - code
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_statsniv_persoc'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_statsniv_persoc', '', 'Gestion des regroupements personnalisés (caractères).')");
}

//création d'un paramétrage pour le verrouillage de l'activité par défaut
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_verractiv'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_verractiv', '0', 'Option de verrouillage de l\'activité par défaut.')");
}

//création d'un paramétrage pour la visualiation des activités en mode consultation
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_consultactiv'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_consultactiv', '1', 'Option de visualisation des activités en consultation.')");
}

// altération du varchar niveau
mysqli_query($bdd,"ALTER TABLE ".$prefix."_edtnivcolor MODIFY niveau VARCHAR(10)");

//création d'un paramétrage pour les regroupements personnalisés (stats) - code
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_statsniv_person'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_statsniv_person', '', 'Gestion des regroupements personnalisés (noms).')");
}

//correction des codages identiques en activités
$liste_code = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv GROUP BY code_activ");
while($liste = mysqli_fetch_assoc($liste_code)) {
	if(mysqli_num_rows(mysqli_query($bdd,"SELECT code_activ FROM ".$prefix."_freqactiv WHERE code_activ = '".$liste['code_activ']."'"))>1) {
		$chgt = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE code_activ = '".$liste['code_activ']."'");
		$i=0;
		while($chgt_go = mysqli_fetch_assoc($chgt)) {
			if($i!=0) {
				$deb_nom = substr($chgt_go['code_activ'], 0, 3).($i+1);
				$code_activ = strtoupper($deb_nom);
				mysqli_query($bdd,"UPDATE ".$prefix."_freqactiv SET code_activ = '".$code_activ."' WHERE activ_id = '".$chgt_go['activ_id']."'");
			}
			$i++;
		}
	}
}

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.25' WHERE param_nom = 'version_bdd'");

?>